package cassandradb

import (
	"github.com/gocql/gocql"
	"go.uber.org/zap"

	"codeberg.org/mapleopentech/monorepo/cloud/maplefile-backend/config"
)

// ProvideCassandraConnection provides a Cassandra session for Wire DI
func ProvideCassandraConnection(cfg *config.Config, logger *zap.Logger) (*gocql.Session, error) {
	return NewCassandraConnection(cfg, logger)
}
